2026-03-10 21:39:49 UTC
97.5 MB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:18bdec7eea78464ecf9b88f4ec630eaeb694ea1c0101ecd9c20eda20c9065e23 - 3.61% (3.52 MB)
[#001] sha256:2937fa672ad33a0e99a83e5ed108c8cb1ba4208c3af3d80d9ca95c5366de636c - 3.55% (3.46 MB)
[#002] sha256:544c44246f2a933b8be60151492b88da5a99d2d30f2f22180c69991ec8a59284 - 0.0% (932 Bytes)
[#003] sha256:e32dba4931e0952d271ff7d2af4d794bb70466ead84a218ca3618953b8619314 - 0.0% (216 Bytes)
[#004] sha256:03b9be542d2081782578c54ceba92ac4c6335f1241b047ed944b6b13ec54d9fa - 12.35% (12 MB)
[#005] sha256:c6ebea7bf763ebc16c8b83324438e9563ce711d0e993ba4d48eafab41c0dabec - 0.0% (491 Bytes)
[#006] sha256:03e3ade1f446b49c654c1ae63d9b17547ef52e4fbebdc65c6cfde17ce91f81ee - 13.33% (13 MB)
[#007] sha256:f0bde399b513380837f8c3635e31b44397194f4240f750b46d6948e87ac9bad4 - 0.0% (2.39 KB)
[#008] sha256:98f3d6a47ad5f8db91dc55e686bafc509f4ae7e7dc6199a65e5794a6444e26aa - 0.02% (23 KB)
[#009] sha256:dfba059c14b518794c21795ec480d6478025e9138dab05c793b79ae20b6c8a92 - 0.02% (23 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:b9cfa6c81ecf7e2804884e8910e985cd1e1ca68c49ae2b849650ac0333646f98 - 0.01% (9.03 KB)
[#012] sha256:e556591c55e5d791851bc5f544087b1c54584e0dcfee4c71d1f12ce106b20e64 - 32.57% (31.8 MB)
[#013] sha256:0414130de499032071a50a720477af09b30d52a6cd2be681330bde8049bc3d2b - 8.09% (7.89 MB)
[#014] sha256:1991d9b3592a5fd31f6ea78eb8f5d5d0e898fe7233921a374365d3a93ccd91c1 - 0.0% (310 Bytes)
[#015] sha256:673b4afdeb4e3539f7d60cda67230a8b0a5f7f54ae5802b1310de8bc67dd568d - 0.0% (390 Bytes)
[#016] sha256:666e3ca346968b118196747c1b886742be0ef6e3ad8ff03065af470a0e530a1b - 26.44% (25.8 MB)
[#017] sha256:d56274c39af1f2513f097b4a7e7a289a78c3043bcfe75df4f9e89df5052e720f - 0.0% (2.38 KB)
[#018] sha256:68155d1f0bec8eac39d78114de295b5ad46593b1463f08f7837d6dc9850b906a - 0.0% (1.73 KB)
[#019] sha256:92f15b0be7b0c28cbba7cb3cbc2b173b428ec73f9755b20005cde051c9101b84 - 0.0% (197 Bytes)
ADD alpine-minirootfs-3.23.3-x86.tar.gz / # buildkit
2026-01-28 01:18:11 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-30 01:19:07 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-30 01:23:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-30 01:23:13 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-30 01:26:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-30 01:26:21 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-30 01:26:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-30 01:26:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-30 01:26:22 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-30 01:26:22 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 01:26:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 01:26:22 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 01:26:22 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 01:26:22 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:38:59 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2026-03-10 21:39:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2026-03-10 21:39:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2026-03-10 21:39:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2026-03-10 21:39:49 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.9.2'; sha1='02c9fecf2ded36169c85505d06db90869bd8f1c4'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2026-03-10 21:39:49 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2026-03-10 21:39:49 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2026-03-10 21:39:49 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2026-03-10 21:39:49 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2026-03-10 21:39:49 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2026-03-10 21:39:49 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:39:53 UTC
98.1 MB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:589002ba0eaed121a1dbf42f6648f29e5be55d5c8a6ee0f8eaa0285cc21ac153 - 3.76% (3.68 MB)
[#001] sha256:5e34c4e90acea1cae511fadb7a2ac6dc9f9d9cca05237e46b4e451185ed45f1a - 3.49% (3.43 MB)
[#002] sha256:c29c183e8dc04fcef0092b2c4d35233ca4a3e19d830d47115f8329fc1af8b0ee - 0.0% (933 Bytes)
[#003] sha256:1004fe1a668458eb6d0281db249f02f99632b06f84464445057d941e9f9a0aa2 - 0.0% (214 Bytes)
[#004] sha256:e9c87754d754feb8c9f608d924a6d9592ca3958d482aa78cb1f3db8dda101f6e - 12.29% (12 MB)
[#005] sha256:f38597d0a77b7d8f2708a62fe4813017f740b04558487a2b31f5ee2d3ead5ca7 - 0.0% (487 Bytes)
[#006] sha256:f29cc71d92cf5e1255e7396148a8074f884d818c7ea222f0abdacf435bfb166b - 13.01% (12.8 MB)
[#007] sha256:e09e9845e89915f50b38a3200f2a258e2b6fbc1b0b70cfc2798ed7516357ec94 - 0.0% (2.39 KB)
[#008] sha256:0fdb2530610113520a823a279fa4e05a145a5fd04c588d2713b37f65415e8bde - 0.02% (22.9 KB)
[#009] sha256:a7914c23f48eb5ca4c30dcd123a292aacff9c2b3a4bde950c0eb1812e5fd6256 - 0.02% (23 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:05695a8415128a5dee213d61fd72da4e13e8ec0a8d7c472355dc45004b7d788f - 0.01% (9.03 KB)
[#012] sha256:4be98ff5c81311ccabdcc1347a13da7866e93b4452b2d3879c18020fd57d2c97 - 31.93% (31.3 MB)
[#013] sha256:27e379c1896eae908d0b55c80aad3444584e62ecc4ac6a23f9b03238ab343ce2 - 9.17% (8.99 MB)
[#014] sha256:75c47c77b07a16d48903a035ac9af4b154498c5b94770f995237704e285a9183 - 0.0% (310 Bytes)
[#015] sha256:30a3e184d5f4439887305d128f4d13be4fa783ce16a7122b6d1bfa7cbec2aa53 - 0.0% (388 Bytes)
[#016] sha256:2eb4583f553ba8ffee1404e3b32f1caf4d1e7605ed676e35cc3126aed6be3d99 - 26.29% (25.8 MB)
[#017] sha256:37d0b1e5cbf41caf19036b02934ece539ff45f9997bec35a0873be43a861db6a - 0.0% (2.38 KB)
[#018] sha256:ff39c71e2a9fd2060c2f08f93bfd87ffc8222c152b439ba31d6dcf6a17dc65cf - 0.0% (1.73 KB)
[#019] sha256:2b56e58044cdc2c4d0006c2c5046120905d7ffb72577c9b8298fa583d4d1a6b7 - 0.0% (195 Bytes)
ADD alpine-minirootfs-3.23.3-x86_64.tar.gz / # buildkit
2026-01-28 01:18:04 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-30 01:22:32 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-30 01:22:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-30 01:22:36 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-30 01:25:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-30 01:25:17 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-30 01:25:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 01:25:19 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:39:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2026-03-10 21:39:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2026-03-10 21:39:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2026-03-10 21:39:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2026-03-10 21:39:53 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.9.2'; sha1='02c9fecf2ded36169c85505d06db90869bd8f1c4'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2026-03-10 21:39:53 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2026-03-10 21:39:53 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2026-03-10 21:39:53 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2026-03-10 21:39:53 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2026-03-10 21:39:53 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2026-03-10 21:39:53 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:39:31 UTC
90.8 MB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:f067a9ad7b3a4e3b687105344f6ad0934a0623c4359c2d841a3d4fab27e26060 - 3.75% (3.4 MB)
[#001] sha256:85b20a773f79203abdd38c936047b7049ac2160aacdf8534f3e002480419b568 - 3.73% (3.38 MB)
[#002] sha256:56faa139ce1dc30da15dfdb0e5da7a3ddd10d088938e2b5c7d5cd61a39b36c51 - 0.0% (933 Bytes)
[#003] sha256:7e463ea5f9eb968cdfebb5df81a6beb69c9e0f7b412ce2f497980794bcec8898 - 0.0% (222 Bytes)
[#004] sha256:2928a8b4728593c0183fbd6cfeccca19194652281a04b89b09eeda7ba85e9cd4 - 13.27% (12 MB)
[#005] sha256:4e1f3017514f833d3b1248860c49d6ba3e98737bc38af5c45b1b3de31a4c8b0e - 0.0% (488 Bytes)
[#006] sha256:61bb37ee5b00bd426ee9c666f26b424c74774669dc8e674688c1abd0c19b6737 - 12.71% (11.5 MB)
[#007] sha256:660ea9800d293cbe1fe8bf2368a2bf3b1b1bfc310b626631b0c9c740aef50c71 - 0.0% (2.39 KB)
[#008] sha256:d16448e106cc5aa323c18fe01008b2c257d6f3fd2c6e2c66fa5e1f935fb35579 - 0.02% (22.8 KB)
[#009] sha256:3697c0f9c1efd6a698e146f326dbbf38652a3c88701d8c1663415e8f3e2fec61 - 0.02% (22.8 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:e56242facd58ae0349b8f7996356e43d615e8076844a85a97e26834e88fa569b - 0.01% (9.03 KB)
[#012] sha256:f6decb19fea7eed65f3aaddc8093dcf696a6aafd54529a4dedeca3b6963a1142 - 29.98% (27.2 MB)
[#013] sha256:6d49ce300c85f5e37c4a7107261327af7e9e26b75dac598a02aad38e1a821f71 - 8.12% (7.37 MB)
[#014] sha256:4169605fd5b831296535ac2bd15a87bceadaed8625dd48c56718ba5513fcec9e - 0.0% (310 Bytes)
[#015] sha256:7642b741bc074d375c9178e5a5b745c7851d918fe47dd954b7ce600cb4859351 - 0.0% (390 Bytes)
[#016] sha256:be2cd4a2b4ed9555bf29682f3f7333b5c2f125aac586703ad21965e79d78723f - 28.39% (25.8 MB)
[#017] sha256:7615cd5e914fe26d8b5fd3551f2ab95a6fece8ed15519f27d4d6a1101dded59d - 0.0% (2.38 KB)
[#018] sha256:7154124a785e6702778c44b5dc1faa01ae9e910340eafa1dcc973c1a960ba59f - 0.0% (1.72 KB)
[#019] sha256:334bb2f7e5de65cf47c52c123681b2f0d47fdc7c76a88256f3b26f23019b2411 - 0.0% (196 Bytes)
ADD alpine-minirootfs-3.23.3-armhf.tar.gz / # buildkit
2026-01-28 01:17:52 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-30 01:31:40 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-30 01:31:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-30 01:31:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-30 01:31:40 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-30 01:31:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-30 01:31:41 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:31:41 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:31:41 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-30 01:31:41 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-30 01:31:41 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-30 01:31:41 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-30 01:31:41 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-30 01:31:45 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-30 01:31:45 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-30 01:34:31 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-30 01:34:31 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-30 01:34:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-30 01:34:33 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-30 01:34:33 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-30 01:34:33 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 01:34:33 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 01:34:33 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 01:34:33 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 01:34:33 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:38:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2026-03-10 21:39:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2026-03-10 21:39:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2026-03-10 21:39:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2026-03-10 21:39:31 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.9.2'; sha1='02c9fecf2ded36169c85505d06db90869bd8f1c4'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2026-03-10 21:39:31 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2026-03-10 21:39:31 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2026-03-10 21:39:31 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2026-03-10 21:39:31 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2026-03-10 21:39:31 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2026-03-10 21:39:31 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:43:12 UTC
89.1 MB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:7ed661450d9b41ba25f81f6ef8649bb379f47471d21c4898a8a6a3e11b819220 - 3.51% (3.13 MB)
[#001] sha256:fdcb556c963ec04f5eef64de6aaf19f9835483c5584e929820a936466753167c - 3.58% (3.19 MB)
[#002] sha256:f23d069606056ff48129e3912227b6cf27adef4be3c529b90bfcdd32c67b2dc7 - 0.0% (933 Bytes)
[#003] sha256:9c56a93c7c94b44c4454dced429e9646435a7f87fe2ac52803696040135becf5 - 0.0% (215 Bytes)
[#004] sha256:da4561e7211effade405577f6fee48808cee43940d28cb5c2f6fc6aa79ce4359 - 13.53% (12 MB)
[#005] sha256:6c3d8f62cc51d116b2f89edb67b5f30487bc347c1705d3fe1975d592d6e3daac - 0.0% (491 Bytes)
[#006] sha256:f6dfedf13c3a274576a26f634fb50e3abaebdba7bbb7193bdefef8e0cf3072a5 - 12.21% (10.9 MB)
[#007] sha256:07d0d647027037dd5565cd0c45bcf292d3b4f1ab3d895bc11e7ab4c48ec3ff1d - 0.0% (2.39 KB)
[#008] sha256:bbcdc2ae8f224af65bc41c9d6f7166427ff9f5f813f357b1b52dcde3430a9a56 - 0.02% (22.8 KB)
[#009] sha256:e525ccd0a132325d45231ca7cd0ee81dd65eb0925783052838019a20502ad48d - 0.03% (22.8 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:5f95d7747e40cac866769ebd6d3d96923a455efe71af81635e798c83961583e5 - 0.01% (9.03 KB)
[#012] sha256:216c0e82a005ae00b51c05f26ee519b60c4de4cdaa195bf64a5158efd98ceb81 - 28.8% (25.6 MB)
[#013] sha256:3d6a8d5d0aaba11a652ef3e05de3c08702a6ad588964a66f5877add6a992f041 - 9.36% (8.33 MB)
[#014] sha256:dd0f31ca5a88a4af994441d10b4a26997e7d99eb83dc5818e01f52aa9557f327 - 0.0% (311 Bytes)
[#015] sha256:6db336f29bdfa7a4c0d8973f8b7a6374c903ead6923d15a6d2b7111a24cf21c5 - 0.0% (389 Bytes)
[#016] sha256:e18034787496936accbb2c213e9661a20f5f0f69df181bd7b84cf90c693c012b - 28.95% (25.8 MB)
[#017] sha256:cbc8db0777bb044ecdf60dfbf013fbf2a95babd6d1e6828e882b420ddbf48c09 - 0.0% (2.38 KB)
[#018] sha256:be1a90e5aeba5bac1ce1eb68dcff40fa02d24981f9ba7daa57be27b9994e6000 - 0.0% (1.73 KB)
[#019] sha256:0aedd501a04e35b2ad9cdb7daec17bc941c99e46c5fc5e86172f7a0cc2b32e4b - 0.0% (195 Bytes)
ADD alpine-minirootfs-3.23.3-armv7.tar.gz / # buildkit
2026-01-28 01:18:44 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-30 01:27:49 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-30 01:38:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-30 01:38:57 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-30 01:41:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-30 01:41:47 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 01:41:48 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:42:00 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2026-03-10 21:43:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2026-03-10 21:43:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2026-03-10 21:43:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2026-03-10 21:43:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.9.2'; sha1='02c9fecf2ded36169c85505d06db90869bd8f1c4'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2026-03-10 21:43:12 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2026-03-10 21:43:12 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2026-03-10 21:43:12 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2026-03-10 21:43:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2026-03-10 21:43:12 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2026-03-10 21:43:12 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:39:32 UTC
97.6 MB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:d8ad8cd72600f46cc068e16c39046ebc76526e41051f43a8c249884b200936c0 - 4.1% (4 MB)
[#001] sha256:fdf2571d7e4455fc07de4ba60b46c5f47622661c2f50dd45438c1e3dee9d76a9 - 3.52% (3.43 MB)
[#002] sha256:1b492656fe78b2299fea9a3bf8e8e63f9dfed39cb5a7af007daf3d100d690011 - 0.0% (932 Bytes)
[#003] sha256:7c7f4200f7b0c8e0b49168f2eed513bf239dfae950ae5f1187609f3a36f30062 - 0.0% (223 Bytes)
[#004] sha256:70278c7b32646d451e8d89387305bd3892cce79d8a8790f00dccc7c0478c4e1a - 12.34% (12 MB)
[#005] sha256:d69c1d434ea02f5a467af0faa0d3e507ca2ab5d557b6f5963546b75e073619f1 - 0.0% (488 Bytes)
[#006] sha256:cbdd0f93e4b78d0bcb6c895d24d5cad5731f790fbbaa59f4d47c64cea2fe824a - 12.95% (12.6 MB)
[#007] sha256:f7b1ab07f4600be149109f1932a84ac9bbd04201e000c45f5ae0705822c83f59 - 0.0% (2.39 KB)
[#008] sha256:d476340368324657d0e21730f28925ecb342ac212ea50817450c44cb4031b7a4 - 0.02% (22.8 KB)
[#009] sha256:db9cb7559ed133194c9ed84f4cad349eb6467de150c6c02e3c05f0ebc543d458 - 0.02% (22.8 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:18ec07eeb18f2bb3e0e0427b76fabb0587246c09bb65458459c651c83edf839c - 0.01% (9.03 KB)
[#012] sha256:dee0de542045bad9827d7f8671be41064e0c5586775650c3084175f9af73f5c5 - 31.7% (31 MB)
[#013] sha256:967bd427e787d7dff978ad7b3cf5f0175c60cfd9148573145ae5b7fc5ad5292e - 8.93% (8.72 MB)
[#014] sha256:d8a4d465075cdbca6f597d3c3bc3894d13710dfe71a1021ba65ea6ba24ae6b9b - 0.0% (309 Bytes)
[#015] sha256:96b458e12ce0870857b54dad309a7f8e83f71920c9c4d4b14311a2f7b9b64955 - 0.0% (390 Bytes)
[#016] sha256:8af6e7fb1b50a18d32775b8b19bcf6d8383463accf14bd15a226c289e578b07e - 26.4% (25.8 MB)
[#017] sha256:bb6c07406be03b1ec72f0cfd07e1c26a813bd9858838ef8f6fc93563e68c8905 - 0.0% (2.38 KB)
[#018] sha256:f171d9b434f36d65247d95108ba00bc9aad5ced1c3effd1670525cffcfce4dcf - 0.0% (1.73 KB)
[#019] sha256:a57583aadc630f5e7fc848857ffdf87acf02386bdcd2097b32b243d0610bf6c1 - 0.0% (194 Bytes)
ADD alpine-minirootfs-3.23.3-aarch64.tar.gz / # buildkit
2026-01-28 01:18:09 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-30 01:19:18 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-30 01:19:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-30 01:19:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-30 01:19:18 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-30 01:19:19 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-30 01:23:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-30 01:23:39 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-30 01:28:15 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-30 01:28:15 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-30 01:28:16 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 01:28:17 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:38:34 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2026-03-10 21:39:30 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2026-03-10 21:39:30 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2026-03-10 21:39:31 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2026-03-10 21:39:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.9.2'; sha1='02c9fecf2ded36169c85505d06db90869bd8f1c4'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2026-03-10 21:39:32 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2026-03-10 21:39:32 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2026-03-10 21:39:32 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2026-03-10 21:39:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2026-03-10 21:39:32 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2026-03-10 21:39:32 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:40:39 UTC
99.5 MB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:532f7d227cfd697fe6a6f7bfe8c0cc7baa9d99d3d41d50d9b6394fdb6322f4aa - 3.67% (3.65 MB)
[#001] sha256:1a7dd774a9daa9cc5f74d16d61155e614ceedece1fd19c05044ba6ace37dd4c6 - 3.61% (3.59 MB)
[#002] sha256:59a002cadcf53d322e552c6a02f973915d8017427dfda71de122592386df6743 - 0.0% (933 Bytes)
[#003] sha256:210b05b21b742c21780f39ad80c5babf4b1d13a4f41a2726c561bfb0fcc954e0 - 0.0% (215 Bytes)
[#004] sha256:b9e03da60cfd062e9d2407439f9f381cf1c6d89cca0e136aeadf49145ea41c5b - 12.11% (12 MB)
[#005] sha256:16fda7b707b3d7ab8d64e7437640ea493ae868b9f36cc987d07851c8ad9433f8 - 0.0% (489 Bytes)
[#006] sha256:23a4c564dfa02aae4e4f3ba0ebcfe4e29cd57f9657ce67718bbbd6ce4b40d495 - 13.36% (13.3 MB)
[#007] sha256:9230d7e674e8394708f8764fd0b66bba15aa33e2272dc53280af0afdbfc29e3c - 0.0% (2.39 KB)
[#008] sha256:e6096db7953945b8f862eecaefffb45215192bae27d4183852a99ccd1e865ac0 - 0.02% (22.8 KB)
[#009] sha256:192c784d907527db6b1cf64575617c97220dbe278b92cb695dfa8feeca8279f4 - 0.02% (22.8 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:650b43c66d2ed301e0ae4eececba02150c9798c35a31878a4b703a22f0722337 - 0.01% (9.04 KB)
[#012] sha256:95c8d8cdb742cce730b44860b076437b06cf1c3b2a17e9372a48243757b14775 - 32.67% (32.5 MB)
[#013] sha256:287c39ce95e5daace341232b829f68488028a792983a551180cbfbcd893ea76e - 8.6% (8.55 MB)
[#014] sha256:e12404df2feaa933f3d5e8808a0c42251c21169d80a98975ab235e245082e9d6 - 0.0% (318 Bytes)
[#015] sha256:6db128bd7dfe1bfa8528246a1ed61cdb5c5002a09bf70c90a6a0afe81e936590 - 0.0% (400 Bytes)
[#016] sha256:ecc07dfb84332358850229ac651ffb48a0468d003beb35f664f63966b7ba3d52 - 25.92% (25.8 MB)
[#017] sha256:1b238fcc688f41c02bb646851022fc81d0d3360896116c4e8de78a367b224bba - 0.0% (2.38 KB)
[#018] sha256:beb7d2227813c515bf8ec2a845b59e00d3a68026753bc200d114d3ee957499eb - 0.0% (1.73 KB)
[#019] sha256:1c9239f6a7ae06db972b9f09b3582ad1af3a18ec043499f9c361e334e434c23f - 0.0% (199 Bytes)
ADD alpine-minirootfs-3.23.3-ppc64le.tar.gz / # buildkit
2026-01-28 01:17:01 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-28 02:38:57 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-28 03:08:02 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-28 03:08:03 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-28 03:11:58 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-28 03:11:59 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-28 03:12:01 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-28 03:12:03 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-28 03:12:03 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-28 03:12:03 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 02:17:45 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 02:17:45 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 02:17:45 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 02:17:45 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-05 22:03:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2026-03-05 22:05:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2026-03-05 22:05:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2026-03-05 22:05:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2026-03-10 21:40:38 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.9.2'; sha1='02c9fecf2ded36169c85505d06db90869bd8f1c4'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2026-03-10 21:40:38 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2026-03-10 21:40:38 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2026-03-10 21:40:39 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2026-03-10 21:40:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2026-03-10 21:40:39 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2026-03-10 21:40:39 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:40:13 UTC
98.4 MB
1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25667f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
PHP_URLhttps://www.php.net/distributions/php-8.3.30.tar.xz
PHP_VERSION8.3.30
[#000] sha256:623c99520afcb8c68e21bd22d3bc252ae348c276fb9c45a79aeccb4caf2b8d9f - 3.61% (3.55 MB)
[#001] sha256:37ddec292ce8d22cd45e25f291194336fe15e71a195e9527615f1f4cb93f051a - 3.68% (3.62 MB)
[#002] sha256:b7c3a271895fa21f842dc6a628c9be8ba868f3ab56244b4dba69e5063768250e - 0.0% (933 Bytes)
[#003] sha256:efeb84f4380740d6c7657500d1fa1467fdcbd30beb8d1f4599234a969e915e28 - 0.0% (215 Bytes)
[#004] sha256:768b1ecc8d15562b1905e3a2ecd7fbbf3c53be7e8e6e4d26ccc00b258a7bb12d - 12.24% (12 MB)
[#005] sha256:7503d1a401dc4b3c82c28f7ef417ed28bb9c7d87ace1f289d974cc74dbf8c44d - 0.0% (489 Bytes)
[#006] sha256:2251a4b67e1ed3f5c649490cc91edbc8a87b63412c80ca4f58606e88ab50f0ae - 12.83% (12.6 MB)
[#007] sha256:df7fba6ea098f4a79e09a007a87217902f8febeca5bfdb560eecb938aa00694e - 0.0% (2.39 KB)
[#008] sha256:95f7796842c0feee4516b491c242b19f525c0a52b0603f94d0156bdd8418ff5c - 0.02% (22.8 KB)
[#009] sha256:4d49dd889eb7700bb609d389d4c2e756eae73f80b135cea49b98dc245786e851 - 0.02% (22.8 KB)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:5f677ad060e65ebd3945aacd35c253898b8bea8ad34690f37c832381f79b3692 - 0.01% (9.03 KB)
[#012] sha256:b1009e32503aa72587402e005fd1e04b1838d82f63efc05484015fe9843e7e18 - 32.95% (32.4 MB)
[#013] sha256:9702a704352c2320467d7f147e3f966231a27a1279579a9127db3f7458b6fedd - 8.43% (8.3 MB)
[#014] sha256:b33e4fe1585da55dce06fe890a6d36e89a5b83ee46c1f662029402570a2f9983 - 0.0% (311 Bytes)
[#015] sha256:c1f12925d26e7e3a1da3d0ed5fc20da2c0718071528c608f3307465cb14cc5ff - 0.0% (392 Bytes)
[#016] sha256:56cd4bc71e0061c3429d1930065ae21c034bf625f2df25249c9c366421bdf25a - 26.19% (25.8 MB)
[#017] sha256:c36cc435f0f2b3dba8714d628f265bc1ccf96d89813c1a3fa994e4daabda2c03 - 0.0% (2.38 KB)
[#018] sha256:dca96067f6b5412d5fd8c350fa21c96ff0160654999b67983582cc1a27418b9d - 0.0% (1.72 KB)
[#019] sha256:486fd40406b8989ac3656bf304a347d36475a7fbc6e923f9e27add5f24811efd - 0.0% (195 Bytes)
ADD alpine-minirootfs-3.23.3-s390x.tar.gz / # buildkit
2026-01-28 01:17:06 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.3.30
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.3.30.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.30.tar.xz.asc
2026-01-28 02:23:22 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=67f084d36852daab6809561a7c8023d130ca07fc6af8fb040684dd1414934d48
2026-01-28 02:37:01 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2026-01-28 02:37:01 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-01-30 01:50:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-01-30 01:50:19 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-01-30 01:50:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-01-30 01:50:20 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-01-30 01:50:20 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-01-30 01:50:20 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-01-30 01:50:20 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-01-30 01:50:20 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-01-30 01:50:20 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-01-30 01:50:20 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-03-10 21:39:05 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2026-03-10 21:40:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2026-03-10 21:40:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2026-03-10 21:40:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2026-03-10 21:40:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.9.2'; sha1='02c9fecf2ded36169c85505d06db90869bd8f1c4'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2026-03-10 21:40:12 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2026-03-10 21:40:12 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2026-03-10 21:40:13 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2026-03-10 21:40:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2026-03-10 21:40:13 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2026-03-10 21:40:13 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.